#
# spec file for package ctags (Version 2006.3.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ctags
License:        GPL
Group:          Development/Tools/Navigators
Autoreqprov:    on
%define exuberant_ver	5.5.4
%define emacs_ver	17.14
Version:        2006.3.7
Release:        9.2
Summary:        A Program to Generate Tag Files for Use with vi and Other Editors
URL:            http://ctags.sourceforge.net/
Source0:        ftp://ftp.sourceforge.net/pub/sourceforge/ctags/ctags-%{exuberant_ver}.tar.gz
Source1:        etags-%{emacs_ver}.tar.gz
Source2:        README.SuSE
Patch0:         ctags-%{exuberant_ver}.diff
Patch1:         ctags-%{exuberant_ver}-ycp-parser.diff
Patch2:         etags-%{emacs_ver}.diff
Patch3:         etags-%{emacs_ver}-gnuctags-allow-duplicates.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
CTags (from Darren Hiebert) generates tag files from source code in C,
C++, Eiffel, Fortran, and Java to be used with vi and its derivatives,
Emacs, and several other editors.

ETags (from GNU Emacs sources) generates tag files from source code in
Pascal, Cobol, Ada, Perl, LaTeX, Scheme, Emacs Lisp/Common Lisp,
Postscript, Erlang, Python, Prolog, and most assembler-like syntaxes.



Authors:
--------
    Darren Hiebert <darren@hiebert.com>
    Ken Arnold
    Francesco Potort <pot@gnu.org>

%debug_package
%prep
%setup -n ctags-%{exuberant_ver} -b 1
%patch
%patch1
cd ../etags-%{emacs_ver}
%patch2
%patch3

%build
CC=gcc
CFLAGS="$RPM_OPT_FLAGS -Wall"
export CFLAGS CC
 ./configure ${RPM_ARCH}-suse-linux	\
	--prefix=/usr			\
	--mandir='%{_mandir}'		\
	--disable-etags
make
cd ../etags-%{emacs_ver}
CFLAGS="$CFLAGS -I../ctags-%{exuberant_ver}"
CFLAGS="$CFLAGS -DHAVE_CONFIG_H -DHAVE_UNISTD_H -DHAVE_GETCWD"
$CC $CFLAGS -o etags etags.c
$CC $CFLAGS -DCTAGS -o gnuctags etags.c

%install
make install prefix=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT%{_mandir}
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/ctags/Exuberant_Ctags
install -m 644 COPYING EXTENDING.html FAQ README $RPM_BUILD_ROOT%{_defaultdocdir}/ctags/Exuberant_Ctags
install -m 644 %{S:2} $RPM_BUILD_ROOT%{_defaultdocdir}/ctags
cd ../etags-%{emacs_ver}
install -m 0755 etags gnuctags $RPM_BUILD_ROOT/usr/bin
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/etags.1*
install -m 644 etags.1 $RPM_BUILD_ROOT%{_mandir}/man1
ln -sf etags.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/gnuctags.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/ctags
/usr/bin/gnuctags
/usr/bin/etags
%doc %{_mandir}/man1/ctags.1.gz
%doc %{_mandir}/man1/gnuctags.1.gz
%doc %{_mandir}/man1/etags.1.gz
%dir %{_defaultdocdir}/ctags
%docdir %{_defaultdocdir}/ctags
%dir %{_defaultdocdir}/ctags/Exuberant_Ctags
%docdir %{_defaultdocdir}/ctags/Exuberant_Ctags
%doc %{_defaultdocdir}/ctags/Exuberant_Ctags/COPYING
%doc %{_defaultdocdir}/ctags/Exuberant_Ctags/EXTENDING.html
%doc %{_defaultdocdir}/ctags/Exuberant_Ctags/FAQ
%doc %{_defaultdocdir}/ctags/Exuberant_Ctags/README
%doc %{_defaultdocdir}/ctags/README.SuSE

%changelog -n ctags
* Tue Mar 07 2006 - od@suse.de
- wrote and added a YCP parser based on the C code parser
  (ctags-5.5.4-ycp-parser.diff)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 07 2005 - od@suse.de
- Added option -A/--allow-duplicates to gnuctags
* Wed Dec 07 2005 - od@suse.de
- Don't strip etags/gnuctags
* Tue Oct 18 2005 - schwab@suse.de
- Update to etags 17.14.
* Mon Nov 15 2004 - schwab@suse.de
- Update to etags 17.5.
* Tue May 04 2004 - schwab@suse.de
- Update to ctags 5.5.4.
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Fri Sep 26 2003 - schwab@suse.de
- Update to ctags 5.5.2.
* Tue Aug 05 2003 - schwab@suse.de
- Update to ctags 5.5.1.
* Wed Apr 02 2003 - schwab@suse.de
- Update to ctags 5.5.
- Update to etags 16.56.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Sep 17 2002 - schwab@suse.de
- Update to ctags 5.3.1.
* Thu Jul 18 2002 - schwab@suse.de
- Update to ctags 5.3.
* Fri Dec 14 2001 - schwab@suse.de
- Update ctags to 5.1.
- Update etags to 14.21.
* Thu May 18 2000 - schwab@suse.de
- Use BuildRoot.
- Remove etags.c changes again.
* Wed May 17 2000 - kasal@suse.cz
- strip etags/gnuctags
- Fixed etags.c changes
* Mon May 15 2000 - schwab@suse.de
- Discard etags.c changes (#2772).
* Mon Jan 31 2000 - werner@suse.de
- Really rename gctags to gnuctags
* Mon Jan 31 2000 - kasal@suse.cz
- fixed spec file to really use the *dif files
- gctags renamed to gnuctags
- rewrote the NOTEs in the manpages and added
  "see also (gnu)ctags(1), gctags(1) and global(1)"
- etags.c now uses #ifdef's
* Wed Jan 26 2000 - werner@suse.de
- New ctags version 3.3.1
  * Disable etags (is usable with `ctags -e')
- Add etags/ctags from Emacs sources
  * rename this ctags with gctags
- Make some NOTEs within the manual pages of both packages
- Add a README.SuSE to explain why we have two versions
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 08 1999 - schwab@suse.de
- specfile cleanup
* Tue Jun 15 1999 - uli@suse.de
- update -> 3.2.2
* Sun Apr 13 1997 - florian@suse.de
- new package with ctags 1.5 (used to be together with vim.tgz)
